D4Science Infrastructure - VM Creation #9143

VM for Parthenos standardization survival kit application
Jul 04, 2017 12:40 PM - Massimiliano Assante

Status:
Priority:
Assignee:
Target version:

Infrastructure:

RAM:

CPU:

DiskSpace:

Smartgears:

Smartgears Version:

Application
Instructions:

Smartgears scopes:

Closed

Urgent

_InfraScience Systems Engineer
UnSprintable

Production

40

Yes

The one in production

/gcube
/gcube/preprod

Start date:
Due date:

% Done:

Applications list and
version:

Applications context
path:

External storage data

disk:

Smartgears auth
connector:

data transfer
enabled:

PostgreSQL
database:

Number of VMs:

Jul 04, 2017
Jul 07, 2017
100%

ssk

No

No

1

Description

Following ticket https://support.d4science.org/issues/8894 we would need to start the creation of this VM

History

#2 - Jul 06, 2017 03:08 PM - Massimiliano Assante

- Priority changed from Low to Normal

- RAM changed from 4 to 2

- Application Instructions updated

- Smartgears scopes updated

#3 - Jul 17,2017 12:53 PM - Massimiliano Assante

- Priority changed from Normal to Urgent

- RAM changed from 2 to 4

what is the problem with this VM creation, we're 10 days late.

#4 - Jul 17,2017 07:17 PM - Andrea Dell'Amico

A lot of information is missing:

e The web app context
¢ Documentation to install and configure the app (it's a production system so no manual installation by the developers is expected)

* Are you sure that the root scope only is OK?

#5 - Jul 17,2017 07:25 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#7 - Jul 17,2017 07:55 PM - Andrea Dell'Amico
- % Done changed from 0 to 90
https://support.d4science.org/issues/8894

The VM has been provisioned with the available information.
Both http and https are enabled.

#8 - Jul 18,2017 11:10 AM - Massimiliano Assante
- Applications context path updated

The The web app context would be "ssk"

Andrea, | understand your doubt on running this on root production, since for the moment the SmartGears node would be used as a web server only,
and later on this year INRIA is going to develop a service (or a set of services) the SmartGears node can run on /gcube.

#9 - Jul 18, 2017 11:12 AM - Massimiliano Assante

- Smartgears scopes updated

#10 - Jul 18,2017 12:35 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 90 to 100

Changed the smartgears scopes and added the reverse proxy for ssk.

#11 - Jul 18, 2017 02:33 PM - Massimiliano Assante
- Status changed from Feedback to Closed

everything's look ok thanks
